USLEEP(3)

NAME
usleep - suspend execution for interval of microseconds

SYNOPSIS
#include <unistd.h>
void
usleep(u_int microseconds);

DESCRIPTION
The usleep() function suspends execution of the calling process until either the number of microseconds specified by microseconds have elapsed or a signal is delivered to the calling process and its action is to invoke a signal catching function or to terminate the process. The suspension time may be longer than requested due to the scheduling of other activity by the system.

RETURN VALUE
The usleep() function returns no value.

SEE ALSO
nanosleep(2), sleep(3)

HISTORY
The usleep() function appeared in 4.3BSD.